## org.apache.axis.components.uuid
Class SimpleUUIDGen

    java.lang.Object
      org.apache.axis.components.uuid.SimpleUUIDGen

All Implemented Interfaces:
  UUIDGen

public class SimpleUUIDGen
extends java.lang.Object
implements UUIDGen

Used to create new universally unique identifiers or UUID's (sometimes called GUID's). UDDI UUID's are allways formmated according to DCE UUID conventions.

Since:
  JDK1.2.2
Version:
  0.3.2 3/25/2001
Author:
  Maarten Coene, Steve Viens

Constructor Summary
`SimpleUUIDGen()`

Method Summary
`java.lang.String` `nextUUID()` Creates a new UUID.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleUUIDGen

    public SimpleUUIDGen()

Method Detail

### nextUUID

    public java.lang.String nextUUID()

  Creates a new UUID. The algorithm used is described by The Open Group. See Universal Unique Identifier for more details.

  Due to a lack of functionality in Java, a part of the UUID is a secure random. This results in a long processing time when this method is called for the first time.

  Specified by:
    `nextUUID` in interface `UUIDGen`

Copyright © 2005 Apache Web Services Project. All Rights Reserved.